<template>
  <view class="register">
    <uni-icons class="icon" type="clear" size="150" color="red"></uni-icons>
    <h1 style="margin-bottom: 5%">审核不通过</h1>
    <text style="color:#999;">{{ bhgText }}</text>
    <button v-if="isRegister==='1'?true:false"
            style="width: 200px;margin-top: 5%;background-color:#9A6601;color: white;" @click="Register">重新注册
    </button>
  </view>
</template>

<script setup>
import UniIcons from "../../uni_modules/uni-icons/components/uni-icons/uni-icons";
import {onLoad} from "@dcloudio/uni-app";
import {ref} from "vue";

const isRegister = ref('')
const bhgText = ref('')
const codeId = ref('')
const openId = ref('')

onLoad((data) => {
  isRegister.value = data.isRegister
  bhgText.value = data.bhgText
  codeId.value = data.codeId
  openId.value = data.openId
})

function Register() {
  uni.navigateTo({
    url: '../login/register?codeId=' + codeId.value + '&isRegister=' + isRegister.value + '&openId=' + openId.value
  });
}
</script>

<style lang="scss" scoped>
.register {
  text-align: center;
  margin-top: 30%;
}
</style>
